Skip to main content
GET
/
api
/
{projectId}
/
data-axes
Get data axes summary
curl --request GET \
  --url https://studio.edgeimpulse.com/v1/api/{projectId}/data-axes \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "dataAxisSummary": {},
  "error": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.edgeimpulse.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

projectId
integer
required

Project ID

Query Parameters

includeDisabled
boolean

Whether to include disabled samples. Defaults to true

includeNotProcessed
boolean

Whether to include non-processed samples. Defaults to true

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

dataAxisSummary
object
required

Summary of the amount of data (in ms.) per sensor axis

error
string

Optional error description (set if 'success' was false)